/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


/*****************************************************************************
*
*  MODULE :             c++_tmpl.cc
*  SCOPE :              Template implementation
*  FILE :               c++_tmpl.cc
*  AUTHORS :            E. Abecassis
*  CREATION DATE :      August 1, 1993
*  COPYRIGHTS :        (C) E. Abecassis, 1993
*  HISTORY :
*
******************************************************************************/


#ifdef __GNUG__
#pragma implementation "listtempl.hxx"
#endif

#include <unistd.h>

#ifndef __list_HXX
#include "list.hxx"
#endif

class GenSharedCol ;
class GenSharedMod ;

template class ListPtr<GenSharedCol> ;
template class ListPtr<GenSharedMod> ;
template class IterListPtr<GenSharedCol> ;
template class IterListPtr<GenSharedMod> ;
